﻿// Fill out your copyright notice in the Description page of Project Settings.

#pragma once

#include "CoreMinimal.h"
#include "LMAmmoType.h"
#include "LMItemDrop.h"
#include "LMAmmoPack.generated.h"

UCLASS()
class LEGUMEMIX_API ALMAmmoPack : public ALMItemDrop
{
	GENERATED_BODY()

public:
	UPROPERTY(EditAnywhere, BlueprintReadOnly, Category=Legumix, meta=(AllowPrivateAccess=true, ClampMin=0))
	int AmmoCount = 6;
	
	UPROPERTY(EditAnywhere, BlueprintReadOnly, Category=Legumix, meta=(AllowPrivateAccess=true))
	EAmmoType AmmoType = EAmmoType::EAT_CornAmmo;

public:
	ALMAmmoPack();

	virtual void ConsumePack(ALMPlayer* Player) override;
};
